Search product for a store with stockInfo
Searches for products based on criteria set in the request body.
Returns a response with the stores price and stock availablitity.
If productGroupUid is set, productGroupScopes is omitted.
StoreProductDetails contains accumulated values for all warehouses the store owns and has VIEW access to.
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Filter on product name. Case-insensitive partial match unless exactMatch is true.
Filter on GTIN barcode. Exact match.
A list of product group UIDs that you want to include in the search
^[A-Za-z0-9-_]+A list of product UIDs to search for
Only included specific warehouses in the result
If true, returns only products with stocklevel > 0
when true, only show products with allowPurchase = true
optionally filter on products that have or do not have SOA amounts
Product Store Search Response
POST /v2/tenants/{tenantUid}/stores/{storeUid}/products/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 389
{
"brandUids": [
"text"
],
"exactMatch": true,
"query": "text",
"productName": "text",
"gtin": "text",
"productGroupUids": [
"text"
],
"productGroupScopes": [
"SALE"
],
"supplierUid": "text",
"productUids": [
"text"
],
"hideVariants": true,
"includeDiscontinued": true,
"visibility": [
"ALWAYS_VISIBLE"
],
"productTypes": [
"STOCK"
],
"warehouseUids": [
"text"
],
"onlyInStock": true,
"hideNotAllowPurchase": true,
"hasSoaAmounts": true
}Product Store Search Response
{
"items": [
{
"storeProductDetails": {
"grossProfitAmount": 1,
"grossProfitPercentage": 1,
"costPrice": 1,
"price": 1,
"campaignPrice": 1,
"campaignName": "text",
"quantityReserved": 1,
"quantityStock": 1,
"quantityOrdered": 1,
"warehouseStockDetails": [
{
"grossProfitAmount": 1,
"grossProfitPercentage": 1,
"costPrice": 1,
"quantityReserved": 1,
"quantityStock": 1,
"locationLabel": "text",
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text"
}
],
"soaAmounts": [
{
"soaUid": "text",
"soaName": "text",
"amount": 1,
"fromDateTime": "2026-01-01T00:00:00.000Z",
"toDateTime": "2026-01-01T00:00:00.000Z",
"soaAmountUid": "text"
}
]
},
"allowAddon": true,
"allowCredit": true,
"allowNegativePrice": true,
"allowPurchase": true,
"allowQuantity": true,
"allowSale": "YES",
"allowSaleDate": "2026-01-01T00:00:00.000Z",
"allowDelivery": "YES",
"allowDeliveryDate": "2026-01-01T00:00:00.000Z",
"allowOrderSpecificCost": true,
"allowOrderSpecificName": true,
"allowDiscount": true,
"availableForWeb": true,
"brandUid": "text",
"brandName": "text",
"calculationFactor": 1,
"categoryUids": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"customerAgeRestriction": 1,
"description": "text",
"discontinuedFrom": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"externalInfo": "text",
"externalUrl": "text",
"gtins": [
{
"gtin": "text",
"primary": true,
"type": "text"
}
],
"height": 1,
"internalInfo": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"length": 1,
"name": "text",
"optionProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"priceOverride": true,
"productGroupUid": "text",
"productGroupPath": [
{
"name": "text",
"parentUid": "text",
"productGroupUid": "text"
}
],
"productUid": "text",
"productType": "STOCK",
"recommendedRetailPrice": 1,
"requiredVariantPropertyUids": [
"text"
],
"serialNoRequired": "NO",
"sellOnlyAsAddon": true,
"shortDescription": "text",
"sku": "text",
"manufacturerSku": "text",
"suppliers": [
{
"name": "text",
"supplierUid": "text",
"supplierProductUid": "text",
"purchasePrice": 1,
"currency": "text",
"supplierSku": "text"
}
],
"textProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"unitLabel": "text",
"variantProductUids": [
"text"
],
"variantParentProductUid": "text",
"vatCodeUid": "text",
"usesVatMarginScheme": true,
"weight": 1,
"width": 1,
"links": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}
],
"parents": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}
],
"requirements": {
"requireCustomer": true,
"requireCustomerMobile": true,
"requireCustomerEmail": true,
"requireCustomerDeliveryAddress": true,
"orderItemReference": "text"
},
"coverImage": {
"productMediaUid": "text",
"mainUrl": "text",
"thumbnailUrl": "text"
},
"imageCount": 1,
"relevance": 1,
"visibility": "ALWAYS_VISIBLE",
"commission": 1,
"productWarrantyUid": "text",
"excludeFromStatistics": true,
"purchasePrice": 1,
"numberOfPieces": 1,
"limitToStoreUids": [
"text"
],
"tradeUnit": 1
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

